## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionElement

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction, XMLValueFunction

All Known Implementing Classes:
  XMLValueFunctionElementImpl

public interface XMLValueFunctionElement
extends XMLValueFunction

A representation of the model object 'XML Value Function Element'. Generates an XML element with a given element name, list of XML attributes, and list of content values. See ISO SQL/XML sec. 6.13.

The following features are supported:

- `Element Name`
- `Returning Option`
- `Namespaces Decl`
- `Attributes Decl`
- `Element Content List`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionElement()`

Method Summary
`XMLAttributesDeclaration` `getAttributesDecl()` Returns the value of the 'Attributes Decl' containment reference.
`XMLValueFunctionElementContentList` `getElementContentList()` Returns the value of the 'Element Content List' containment reference.
`java.lang.String` `getElementName()` Returns the value of the 'Element Name' attribute.
`XMLNamespacesDeclaration` `getNamespacesDecl()` Returns the value of the 'Namespaces Decl' containment reference.
`XMLReturningType` `getReturningOption()` Returns the value of the 'Returning Option' attribute.
`void` `setAttributesDecl(XMLAttributesDeclaration value)` Sets the value of the '`Attributes Decl`' containment reference.
`void` `setElementContentList(XMLValueFunctionElementContentList value)` Sets the value of the '`Element Content List`' containment reference.
`void` `setElementName(java.lang.String value)` Sets the value of the '`Element Name`' attribute.
`void` `setNamespacesDecl(XMLNamespacesDeclaration value)` Sets the value of the '`Namespaces Decl`' containment reference.
`void` `setReturningOption(XMLReturningType value)` Sets the value of the '`Returning Option`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getElementName

    public java.lang.String getElementName()

  Returns the value of the 'Element Name' attribute.

  If the meaning of the 'Element Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Name' attribute.
  See Also:
    `setElementName(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElement_ElementName()`

### setElementName

    public void setElementName(java.lang.String value)

  Sets the value of the '`Element Name`' attribute.

  Parameters:
    `value` - the new value of the 'Element Name' attribute.
  See Also:
    `getElementName()`

### getReturningOption

    public XMLReturningType getReturningOption()

  Returns the value of the 'Returning Option' attribute. The literals are from the enumeration `XMLReturningType`.

  If the meaning of the 'Returning Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `setReturningOption(XMLReturningType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElement_ReturningOption()`

### setReturningOption

    public void setReturningOption(XMLReturningType value)

  Sets the value of the '`Returning Option`' attribute.

  Parameters:
    `value` - the new value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `getReturningOption()`

### getNamespacesDecl

    public XMLNamespacesDeclaration getNamespacesDecl()

  Returns the value of the 'Namespaces Decl' containment reference. It is bidirectional and its opposite is '`Value Function Element`'.

  If the meaning of the 'Namespaces Decl' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespaces Decl' containment reference.
  See Also:
    `setNamespacesDecl(XMLNamespacesDeclaration)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElement_NamespacesDecl()`, `XMLNamespacesDeclaration.getValueFunctionElement()`

### setNamespacesDecl

    public void setNamespacesDecl(XMLNamespacesDeclaration value)

  Sets the value of the '`Namespaces Decl`' containment reference.

  Parameters:
    `value` - the new value of the 'Namespaces Decl' containment reference.
  See Also:
    `getNamespacesDecl()`

### getAttributesDecl

    public XMLAttributesDeclaration getAttributesDecl()

  Returns the value of the 'Attributes Decl' containment reference. It is bidirectional and its opposite is '`Value Function Element`'.

  If the meaning of the 'Attributes Decl' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attributes Decl' containment reference.
  See Also:
    `setAttributesDecl(XMLAttributesDeclaration)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElement_AttributesDecl()`, `XMLAttributesDeclaration.getValueFunctionElement()`

### setAttributesDecl

    public void setAttributesDecl(XMLAttributesDeclaration value)

  Sets the value of the '`Attributes Decl`' containment reference.

  Parameters:
    `value` - the new value of the 'Attributes Decl' containment reference.
  See Also:
    `getAttributesDecl()`

### getElementContentList

    public XMLValueFunctionElementContentList getElementContentList()

  Returns the value of the 'Element Content List' containment reference. It is bidirectional and its opposite is '`Value Function Element`'.

  If the meaning of the 'Element Content List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Content List' containment reference.
  See Also:
    `setElementContentList(XMLValueFunctionElementContentList)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElement_ElementContentList()`, `XMLValueFunctionElementContentList.getValueFunctionElement()`

### setElementContentList

    public void setElementContentList(XMLValueFunctionElementContentList value)

  Sets the value of the '`Element Content List`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Content List' containment reference.
  See Also:
    `getElementContentList()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.